Page MenuHomePhabricator

[openmp] Enable tests on new devicertl on amdgpu
ClosedPublic

Authored by JonChesterfield on Dec 1 2021, 10:53 AM.

Diff Detail

Event Timeline

JonChesterfield requested review of this revision.Dec 1 2021, 10:53 AM
Herald added a project: Restricted Project. · View Herald TranscriptDec 1 2021, 10:53 AM
JonChesterfield added a subscriber: ronl.

@ronl we could land this without the fix to the compiler ABI. It'll break some set of tests on CI (which will probably be different to the ones it breaks for me locally), and we can then disable those tests, which hopefully leaves some still executing. That doesn't get us any closer to working but it does slightly stage the change over to the new runtime in terms of accumulated error data.

I've checked in the three unsupported lines in tests so that enabling the new runtime by default (which would obsolete this patch) with a working compiler backend should pass CI.

JonChesterfield abandoned this revision.Dec 5 2021, 8:53 AM

I'm told the compiler backend bug that blocked this is fixed, but clang has picked up some noise to force use of the old runtime which probably conflicts with landing this as-is. Going to abandon this patch instead of try to extend it into one that reverts workarounds in clang.

JonChesterfield reclaimed this revision.EditedDec 6 2021, 6:09 AM

This is OK as originally written if D115150 lands first
edit: also fine without it, since the test setup of default + new is right for amdgpu at present

This revision is now accepted and ready to land.Dec 6 2021, 7:23 AM
JonChesterfield edited the summary of this revision. (Show Details)Dec 6 2021, 7:25 AM
This revision was automatically updated to reflect the committed changes.